/**
 * HomeAddressUse.java
 *
 * File generated from the medication::HomeAddressUse uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration HomeAddressUse.
 *
 * 
 */

@XmlType(name = "HomeAddressUse")
@XmlEnum
@XmlRootElement(name = "HomeAddressUse")
public enum HomeAddressUse {
	@XmlEnumValue("H")
	H("H"),
	@XmlEnumValue("HP")
	HP("HP"),
	@XmlEnumValue("HV")
	HV("HV");
	
	private final String value;

    HomeAddressUse(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static HomeAddressUse fromValue(String v) {
        for (HomeAddressUse c: HomeAddressUse.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}